<div id="fb-root"></div>
<script async defer crossorigin="anonymous" src="{{facebook.sdk_url}}"></script>
<script>
  window.fbAsyncInit = function () {
    FB.init({
      appId: "{{facebook.app_id}}",
      autoLogAppEvents: true,
      status: false,
      xfbml: true,
      version: 'v10.0'
    });
  };

  function fbLogin() {
    FB.getLoginStatus(function(response) {
      if (response.status === 'connected') {
        document.getElementById('fb_access_token').value = response.authResponse.accessToken;
        document.getElementById('fb_login').submit()
      }
    });
  }
</script>

<form id="fb_login" action="{{ base_path }}/login/facebook" method="post" />
<input name="login_challenge" type="hidden" value="{{ login_challenge }}">
<input name="_csrf" type="hidden" value="{{ csrf_token }}">
<input name="access_token" id="fb_access_token" type="hidden">
</form>